GOLF(2gg)

NAME
string-length - (strings)

PURPOSE
Get string length.

SYNTAX

        string-length <string> to <length>

DESCRIPTION
string-length will place the number of bytes in <string> into number <length>.

Note that <string> does not need to be null-terminated, meaning it can be a binary or text string. <length> is the number of bytes comprising any such string.

EXAMPLES
Variable "len" will be 6:

        set-string str = "string"
        string-length str to len

Variable "len2" will be 18 - the string has a null character in the middle of it:

        set-string str2 = "string" "\x00 after null"
        string-length str2 to len2

SEE ALSO
 Strings

concatenate-strings copy-string count-substring delete-string lower-string new-string read-split replace-string set-string split-string string-length trim-string upper-string write-string See all documentation